PagingState.RowMark (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service.pager

## Class PagingState.RowMark

- java.lang.Object
- - org.apache.cassandra.service.pager.PagingState.RowMark

- Enclosing class:
    PagingState

      public static class PagingState.RowMark
      extends java.lang.Object

  Marks the last row returned by paging, the one from which paging should continue. This class essentially holds a row clustering, but due to backward compatibility reasons, we need to actually store the cell name for the last cell of the row we're marking when the protocol v3 is in use, and this class abstract that complication. See CASSANDRA-10254 for more details.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Clustering` | `clustering(CFMetaData metadata)`
    `static PagingState.RowMark` | `create(CFMetaData metadata, Row row, ProtocolVersion protocolVersion)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static PagingState.RowMark create(CFMetaData metadata,
                                                   Row row,
                                                   ProtocolVersion protocolVersion)

    - #### clustering

          public Clustering clustering(CFMetaData metadata)

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation